//
//  GetEcaList.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/11/28.
//

import Foundation

import Foundation

class GetEcaList {
    var sessionTaskList = SessionTaskList()

    func start() {
        print(debug: "called")
//        sessionTaskList.RequestGetTaskList(responseGetTaskList)
    }

    private func responseGetTaskList(result: Result<Data, APIError>) {
        print(debug: "called")
        switch result {
        case .success(let resultData):
            let serverSession = ServerSession()
            let resjson = serverSession.fromJSON(resultData: resultData, resltType: [ReqTaskList].self)
            if let res = resjson {
                //ECA保存
            }
        case .failure(let errorCode):
            print(debug: errorCode)
            break
        }
    }
}
